## obdgpslogger 0.16

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

IF(COMMAND CMAKE_POLICY)
# Use old policy on ADD_DEFINITIONS and escaping
	CMAKE_POLICY(SET CMP0005 OLD)
# Use old policy to make mixing libraries with and without full paths ok
	CMAKE_POLICY(SET CMP0003 OLD)
ENDIF(COMMAND CMAKE_POLICY)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
	SET(LINUX TRUE)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

PROJECT(OBDGPSLogger)

SET(OBDGPSLOGGER_MAJOR_VERSION 0)
SET(OBDGPSLOGGER_MINOR_VERSION 16)

ADD_DEFINITIONS("-DOBDGPSLOGGER_MAJOR_VERSION=${OBDGPSLOGGER_MAJOR_VERSION}")
ADD_DEFINITIONS("-DOBDGPSLOGGER_MINOR_VERSION=${OBDGPSLOGGER_MINOR_VERSION}")

# For now, assume the choices are "windows" or "posix"
IF("${CMAKE_SYSTEM}" MATCHES "Windows")
	ADD_DEFINITIONS(-DOBDPLATFORM_WINDOWS)
ELSE("${CMAKE_SYSTEM}" MATCHES "Windows")
	ADD_DEFINITIONS(-DOBDPLATFORM_POSIX)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Windows")

# You probably don't want to change this
SET(OBD_CONFIG_FILENAME ".obdgpslogger")

# Default obd column names to capture
SET(OBD_DEFAULT_COLUMNS "temp,rpm,vss,maf,throttlepos" CACHE STRING "Default columns to log")

# This is the default serial port on my mac for my OBD Key
SET(OBD_DEFAULT_SERIALPORT "/dev/cu.OBDKeyPro-DevB-1" CACHE STRING "Default serial port filename")

# Only used by the UI when it launches GPSD, to add devices
SET(OBD_GPSD_CONTROL_SOCKET "/tmp/obd_gpsd_controlsock" CACHE STRING "GPSD Control Socket (Used by UI)")

# Only used by the UI when it launches GPSD, this is the default gps device
SET(OBD_DEFAULT_GPSPORT "/dev/usbserial" CACHE STRING "GPSD default device filename (Used by UI)")

# Only used by the UI when it launches GPSD, to kill it afterwards
SET(OBD_GPSD_PIDFILE "/tmp/obd_gpsd_pid" CACHE STRING "GPSD PID File (Used by UI)")

# obdftdipty saves the device in this file
SET(OBD_FTDIPTY_DEVICE "/var/run/obdftdipty.device" CACHE STRING "File used by ftdipty to describe /dev/pts entry")

# Link with this library
SET(OBD_SQLITE_INCLUDED_LIB ON CACHE BOOL "Link with included sqlite3 library. Set to off to use systemwide copy")


# OBDSim Defaults
SET(OBDSIM_ELM_VERSION_STRING "ELM327 v1.3a OBDGPSLogger" CACHE STRING "OBDSim default Version String (ATI, ATZ)")
SET(OBDSIM_ELM_DEVICE_STRING "OBDGPSLogger" CACHE STRING "OBDSim default Device String (AT@1)")


SET(OBD_DISABLE_GUI false CACHE BOOL "Disable any UI modules")
IF(NOT OBD_DISABLE_GUI)
	SET(FLTK_SKIP_OPENGL true)
	SET(FLTK_SKIP_FORMS true)
	SET(FLTK_SKIP_IMAGES true)
	FIND_PACKAGE(FLTK)
ENDIF(NOT OBD_DISABLE_GUI)

# Default database name
SET(OBD_DEFAULT_DATABASE "./obdgpslogger.db" CACHE STRING "Default database filename for all obdgpslogger modules")

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${OBDGPSLogger_SOURCE_DIR}/cmakemodules")

SET(OBD_DISABLE_GPSD "Off" CACHE BOOL "Disable gpsd support")
IF(NOT OBD_DISABLE_GPSD)
	FIND_PACKAGE(GPSD)
	IF(GPSD_FOUND)
		INCLUDE_DIRECTORIES(${GPSD_INCLUDE_DIR})
		ADD_DEFINITIONS(-DHAVE_GPSD)
	ELSE(GPSD_FOUND)
		SET(OBD_ENABLE_GPSD "OFF" CACHE BOOL "Enable gps support using libgps" FORCE)
		MESSAGE(STATUS "Couldn't find libgps")
	ENDIF(GPSD_FOUND)
ENDIF(NOT OBD_DISABLE_GPSD)

SET(OBD_ENABLE_DBUS "OFF" CACHE BOOL "Enable dbus support")
FIND_PACKAGE(Dbus)
IF(OBD_ENABLE_DBUS)
	IF(DBUS_FOUND)
		INCLUDE_DIRECTORIES(${DBUS_INCLUDE_DIR})
		ADD_DEFINITIONS(-DHAVE_DBUS)
	ELSE(DBUS_FOUND)
		SET(OBD_ENABLE_DBUS "OFF" CACHE BOOL "Enable dbus support" FORCE)
		MESSAGE(STATUS "Couldn't find dbus")
	ENDIF(DBUS_FOUND)
ENDIF(OBD_ENABLE_DBUS)

INCLUDE(CheckSymbolExists)
INCLUDE(CheckFunctionExists)
CHECK_FUNCTION_EXISTS(ptsname_r HAVE_PTSNAME_R)
IF(HAVE_PTSNAME_R)
	ADD_DEFINITIONS(-DHAVE_PTSNAME_R)
ENDIF(HAVE_PTSNAME_R)


CONFIGURE_FILE("${OBDGPSLogger_SOURCE_DIR}/src/obdconfig.h.cmake" "${OBDGPSLogger_BINARY_DIR}/obdconfig.h")
INCLUDE_DIRECTORIES("${OBDGPSLogger_BINARY_DIR}")

SET(EXECUTABLE_OUTPUT_PATH "${OBDGPSLogger_SOURCE_DIR}/bin")

# Instead of just linking with cksqlite, link with ${CKSQLITE_LIBRARIES} to get deps
IF(OBD_SQLITE_INCLUDED_LIB)
	SET(CKSQLITE_LIBRARIES
		cksqlite
	)
ELSE(OBD_SQLITE_INCLUDED_LIB)
	SET(CKSQLITE_LIBRARIES
		sqlite3
	)
ENDIF(OBD_SQLITE_INCLUDED_LIB)

# TODO: Change this to look for necessary symbols, instead
IF("${CMAKE_SYSTEM}" MATCHES "Linux")
    SET(CKSQLITE_LIBRARIES ${CKSQLITE_LIBRARIES} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")


INCLUDE_DIRECTORIES(
	src/obdinfo/
	src/conf/
)

IF(OBD_SQLITE_INCLUDED_LIB)
	INCLUDE_DIRECTORIES(
		libs/sqlite3
	)
	ADD_SUBDIRECTORY(libs/sqlite3)
ENDIF(OBD_SQLITE_INCLUDED_LIB)

IF("${CMAKE_SYSTEM}" MATCHES "Windows")
	MESSAGE(STATUS "Logger and GUI modules not available on windows currently")
ELSE("${CMAKE_SYSTEM}" MATCHES "Windows")
	ADD_SUBDIRECTORY(src/obdcomm/)
	ADD_SUBDIRECTORY(src/logger/)
	ADD_SUBDIRECTORY(src/gui/)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Windows")

ADD_SUBDIRECTORY(src/obdinfo/)
ADD_SUBDIRECTORY(src/conf/)
ADD_SUBDIRECTORY(src/analysis/)
ADD_SUBDIRECTORY(src/kml/)
ADD_SUBDIRECTORY(src/csv/)
ADD_SUBDIRECTORY(src/gpx/)
ADD_SUBDIRECTORY(src/sim/)
ADD_SUBDIRECTORY(src/repair/)
ADD_SUBDIRECTORY(src/ftdipty/)


# FILE(GLOB manfiles1 ${OBDGPSLogger_SOURCE_DIR}/man/man1/*.1)
# INSTALL(FILES ${manfiles1} DESTINATION share/man/man1)
# FILE(GLOB manfiles5 ${OBDGPSLogger_SOURCE_DIR}/man/man5/*.5)
# INSTALL(FILES ${manfiles5} DESTINATION share/man/man5)


# And now, packaging...

# Common things to every type of package
SET(CPACK_PACKAGE_DESCRIPTION "Tools to log OBD and GPS data")
SET(CPACK_PACKAGE_NAME "OBDGPSLogger")
SET(CPACK_PACKAGE_EXECUTABLES "obdgui")
SET(CPACK_PACKAGE_VERSION_MAJOR ${OBDGPSLOGGER_MAJOR_VERSION})
SET(CPACK_PACKAGE_VERSION_MINOR ${OBDGPSLOGGER_MINOR_VERSION})
SET(CPACK_PACKAGE_VERSION "${OBDGPSLOGGER_MAJOR_VERSION}.${OBDGPSLOGGER_MINOR_VERSION}")
SET(CPACK_STRIP_FILES true)
SET(CPACK_PACKAGE_CONTACT "chunky@icculus.org")
SET(CPACK_RESOURCE_FILE_LICENSE "${OBDGPSLogger_SOURCE_DIR}/COPYING")


# Always build .tar.gz and .sh files
SET(CPACK_GENERATOR "STGZ;TGZ")


IF(APPLE)
	SET(CPACK_GENERATOR "${CPACK_GENERATOR};Bundle")
	SET(CPACK_BUNDLE_ICON "${OBDGPSLogger_SOURCE_DIR}/osx/BundleIcon.icns")
	SET(CPACK_BUNDLE_NAME "OBD GPS Logger")
	SET(CPACK_BUNDLE_PLIST "${OBDGPSLogger_SOURCE_DIR}/osx/Info.plist")
	SET(CPACK_BUNDLE_STARTUP_COMMAND "${OBDGPSLogger_SOURCE_DIR}/osx/StartupCommand")

	IF(GPSD_DAEMON)
		INSTALL(PROGRAMS ${GPSD_DAEMON}
				DESTINATION sbin/)
	ENDIF(GPSD_DAEMON)
ELSE(APPLE)

	# If we can find rpmbuild, then go for it
	FIND_PROGRAM(RPMBUILD_TEST rpmbuild INTERNAL)
	IF(RPMBUILD_TEST)
		SET(CPACK_GENERATOR "${CPACK_GENERATOR};RPM")
		SET(CPACK_RPM_PACKAGE_REQUIRES "gpsd >= 2.0")
		SET(CPACK_RPM_PACKAGE_LICENSE "GPLv2+")
	ENDIF(RPMBUILD_TEST)

	# If we can find dpkg, build a .deb
	#FIND_PROGRAM(DPKG_TEST dpkg INTERNAL)
	#IF(DPKG_TEST)
		SET(CPACK_GENERATOR "${CPACK_GENERATOR};DEB")
		SET(CPACK_DEBIAN_PACKAGE_DEPENDS "gpsd (>=2.0)")
		SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION ${CPACK_PACKAGE_DESCRIPTION})
	#ENDIF(DPKG_TEST)

ENDIF(APPLE)


INCLUDE(CPack)

=== libs/sqlite3/CMakeLists.txt ===

INCLUDE_DIRECTORIES(
	.
)

SET(SQLITE_SRCS
	sqlite3.c
)

ADD_LIBRARY(cksqlite STATIC ${SQLITE_SRCS})

=== src/analysis/CMakeLists.txt ===
IF(NOT OBD_DISABLE_GUI)
	IF(NOT FLTK_FLUID_EXECUTABLE)
		MESSAGE(STATUS "Couldn't find fluid: required for building GUI")
	ENDIF(NOT FLTK_FLUID_EXECUTABLE)
	IF(NOT FLTK_FOUND)
		MESSAGE(STATUS "Couldn't find fltk: required for building GUI")
	ENDIF(NOT FLTK_FOUND)

	FIND_PACKAGE(fftw3)
	IF(NOT FFTW3_FOUND)
		MESSAGE(STATUS "Couldn't find fftw3: required for building obdfft")
	ENDIF(NOT FFTW3_FOUND)


	IF(FLTK_FOUND AND FLTK_FLUID_EXECUTABLE AND FFTW3_FOUND)

		INCLUDE_DIRECTORIES(
			.
			../obdinfo/
			${FLTK_INCLUDE_DIR}
			${FFTW3_INCLUDE_DIR}
		)

		FILE(GLOB OBDFFT_FL_GLOB
			fftwindow.fl
		)

		# GLOB includes a bunch of path prefix which confuses FLTK_WRAP_UI
		FOREACH(OBDFFT_FL_SRC ${OBDFFT_FL_GLOB})
			GET_FILENAME_COMPONENT(ONE_FL_SRC ${OBDFFT_FL_SRC} NAME)
			SET(OBDFFT_FL_SRCS ${OBDFFT_FL_SRCS} ${ONE_FL_SRC})
		ENDFOREACH(OBDFFT_FL_SRC)

		FLTK_WRAP_UI(ckobdfft ${OBDFFT_FL_SRCS})

		ADD_LIBRARY(ckobdfft STATIC ${ckobdfft_FLTK_UI_SRCS})


		SET(OBDFFT_SRCS fftmain.cpp)

		SET(OBDFFT_LIBS
			ckobdfft
			${CKSQLITE_LIBRARIES}
			ckobdinfo
			${FLTK_LIBRARIES}
			${FFTW3_LIBRARY}
		)

		ADD_EXECUTABLE(obdfft ${OBDFFT_SRCS})

		TARGET_LINK_LIBRARIES(obdfft ${OBDFFT_LIBS})

		# INSTALL(TARGETS obdfft
			# RUNTIME DESTINATION bin)
		# INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obdfft.1
			# DESTINATION share/man/man1)


	ENDIF(FLTK_FOUND AND FLTK_FLUID_EXECUTABLE AND FFTW3_FOUND)
ENDIF(NOT OBD_DISABLE_GUI)

SET(OBDTRIPCOMPARE_SRCS
	tripcompare.c
	examinetrips.c
	analysistables.c
)

SET(OBDTRIPCOMPARE_LIBS ${CKSQLITE_LIBRARIES} m)

ADD_EXECUTABLE(obdtripcompare ${OBDTRIPCOMPARE_SRCS})
TARGET_LINK_LIBRARIES(obdtripcompare ${OBDTRIPCOMPARE_LIBS})

=== src/conf/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)


FILE(GLOB OBDCONFIGFILE_SRCS
	obdconfigfile*
)

ADD_LIBRARY(ckobdconfigfile STATIC ${OBDCONFIGFILE_SRCS})


SET(OBD_ENABLE_CONFIGTEST false CACHE BOOL "Enable configtest executable")
IF(OBD_ENABLE_CONFIGTEST)
	ADD_EXECUTABLE(testobdconfig testobdconfig.c)
	TARGET_LINK_LIBRARIES(testobdconfig ckobdconfigfile ckobdinfo)
ENDIF(OBD_ENABLE_CONFIGTEST)

=== src/csv/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDCSV_SRCS
	*.c *.h
)

SET(OBDCSV_LIBS
	${CKSQLITE_LIBRARIES}
)

FIND_PACKAGE(ZLIB)
IF(ZLIB_FOUND)
	SET(OBDCSV_LIBS ${OBDCSV_LIBS} ${ZLIB_LIBRARIES})
	INCLUDE_DIRECTORIES(ZLIB_INCLUDE_DIR)
	ADD_DEFINITIONS(-DHAVE_ZLIB)
ELSE(ZLIB_FOUND)
	MESSAGE(STATUS "Couldn't find zlib. Will not compile gzip support in obd2csv")
ENDIF(ZLIB_FOUND)

ADD_EXECUTABLE(obd2csv ${OBDCSV_SRCS})

TARGET_LINK_LIBRARIES(obd2csv ${OBDCSV_LIBS})

INSTALL(TARGETS obd2csv
	RUNTIME DESTINATION bin)

INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obd2csv.1
	DESTINATION share/man/man1)

=== src/ftdipty/CMakeLists.txt ===
FIND_PACKAGE(libftdi)

IF(NOT LIBFTDI_FOUND)
	MESSAGE(STATUS "Couldn't find libftdi, required for building obdftdipty")
ENDIF(NOT LIBFTDI_FOUND)

IF(LIBFTDI_FOUND)
	INCLUDE_DIRECTORIES(
		${LIBFTDI_INCLUDE_DIR}
		.
	)

	FILE(GLOB OBDFTDIPTY_SRCS
		*.c *.h
	)

	SET(OBDFTDIPTY_LIBS
		${LIBFTDI_LIBRARY}
		ckobdconfigfile
		ckobdinfo
	)

	ADD_EXECUTABLE(obdftdipty ${OBDFTDIPTY_SRCS})

	TARGET_LINK_LIBRARIES(obdftdipty ${OBDFTDIPTY_LIBS})

	INSTALL(TARGETS obdftdipty
		RUNTIME DESTINATION bin)

	INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obdftdipty.1
        	DESTINATION share/man/man1)

ENDIF(LIBFTDI_FOUND)

=== src/gpx/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDGPX_SRCS
	*.c *.h
)

SET(OBDGPX_LIBS
	${CKSQLITE_LIBRARIES}
)

ADD_EXECUTABLE(obd2gpx ${OBDGPX_SRCS})

TARGET_LINK_LIBRARIES(obd2gpx ${OBDGPX_LIBS})

INSTALL(TARGETS obd2gpx
	RUNTIME DESTINATION bin)

INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obd2gpx.1
	DESTINATION share/man/man1)

=== src/gui/CMakeLists.txt ===
IF(NOT OBD_DISABLE_GUI)
	IF(NOT FLTK_FLUID_EXECUTABLE)
		MESSAGE(STATUS "Couldn't find fluid: required for building GUI")
	ENDIF(NOT FLTK_FLUID_EXECUTABLE)
	IF(NOT FLTK_FOUND)
		MESSAGE(STATUS "Couldn't find fltk: required for building GUI")
	ENDIF(NOT FLTK_FOUND)


	IF(FLTK_FOUND AND FLTK_FLUID_EXECUTABLE)

		INCLUDE_DIRECTORIES(
			.
			../obdinfo/
			${FLTK_INCLUDE_DIR}
		)

		FILE(GLOB OBDGUI_FL_GLOB
			*.fl
		)

		# GLOB includes a bunch of path prefix which confuses FLTK_WRAP_UI
		FOREACH(OBDGUI_FL_SRC ${OBDGUI_FL_GLOB})
			GET_FILENAME_COMPONENT(ONE_FL_SRC ${OBDGUI_FL_SRC} NAME)
			SET(OBDGUI_FL_SRCS ${OBDGUI_FL_SRCS} ${ONE_FL_SRC})
		ENDFOREACH(OBDGUI_FL_SRC)

		FLTK_WRAP_UI(ckobdfl ${OBDGUI_FL_SRCS})

		ADD_LIBRARY(ckobdfl STATIC ${ckobdfl_FLTK_UI_SRCS})


		FILE(GLOB OBDGUI_SRCS
			*.c
			*.cpp
			*.h
		)

		SET(OBDGUI_SRCS ${OBDGUI_SRCS})

		SET(OBDGUI_LIBS
			ckobdfl
			ckobdinfo
			ckobdconfigfile
			${FLTK_LIBRARIES}
		)

		IF("${CMAKE_SYSTEM}" MATCHES "Linux")
       		SET(OBDGUI_LIBS ${OBDGUI_LIBS} pthread dl)
		ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

		ADD_EXECUTABLE(obdgui ${OBDGUI_SRCS})

		TARGET_LINK_LIBRARIES(obdgui ${OBDGUI_LIBS})

		INSTALL(TARGETS obdgui
			RUNTIME DESTINATION bin)
		INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obdgui.1
			DESTINATION share/man/man1)


	ENDIF(FLTK_FOUND AND FLTK_FLUID_EXECUTABLE)
ENDIF(NOT OBD_DISABLE_GUI)

=== src/kml/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDKML_SRCS
	*.c *.h
)

SET(OBDKML_LIBS
	${CKSQLITE_LIBRARIES}
	m
)

ADD_EXECUTABLE(obd2kml ${OBDKML_SRCS})

TARGET_LINK_LIBRARIES(obd2kml ${OBDKML_LIBS})

INSTALL(TARGETS obd2kml
	RUNTIME DESTINATION bin)

INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obd2kml.1
        DESTINATION share/man/man1)

=== src/logger/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
	../obdinfo/
	../obdcomm/
)

FILE(GLOB OBDLOGGER_SRCS
	*.c *.h
)

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckSymbolExists)
CHECK_INCLUDE_FILES("signal.h" HAVE_SIGNAL_H)

IF(HAVE_SIGNAL_H)
	ADD_DEFINITIONS(-DHAVE_SIGNAL_H)
	CHECK_SYMBOL_EXISTS(sigaction "signal.h" HAVE_SIGACTION)
	CHECK_SYMBOL_EXISTS(signal "signal.h" HAVE_SIGNAL_FUNC)

	IF(HAVE_SIGACTION)
		ADD_DEFINITIONS(-DHAVE_SIGACTION)
	ELSE(HAVE_SIGACTION)
		IF(HAVE_SIGNAL_FUNC)
			ADD_DEFINITIONS(-DHAVE_SIGNAL_FUNC)
		ENDIF(HAVE_SIGNAL_FUNC)
	ENDIF(HAVE_SIGACTION)
ENDIF(HAVE_SIGNAL_H)



SET(OBDLOGGER_LIBS
	${CKSQLITE_LIBRARIES}
	ckobdconfigfile
	ckobdinfo
	ckobdcomm
)

IF(GPSD_FOUND AND NOT OBD_DISABLE_GPSD)
	SET(OBDLOGGER_LIBS ${OBDLOGGER_LIBS} ${GPSD_LIBRARY})
ENDIF(GPSD_FOUND AND NOT OBD_DISABLE_GPSD)

IF(OBD_ENABLE_DBUS)
	SET(OBDLOGGER_LIBS ${OBDLOGGER_LIBS} ${DBUS_LIBRARY})
ENDIF(OBD_ENABLE_DBUS)

ADD_EXECUTABLE(obdgpslogger ${OBDLOGGER_SRCS})

TARGET_LINK_LIBRARIES(obdgpslogger ${OBDLOGGER_LIBS})

INSTALL(TARGETS obdgpslogger
	RUNTIME DESTINATION bin)

INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obdgpslogger.1
        DESTINATION share/man/man1)

INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man5/dot-obdgpslogger.5
        DESTINATION share/man/man5)

=== src/obdcomm/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)


FILE(GLOB OBDCOMM_SRCS
	*.c *.h
)

ADD_LIBRARY(ckobdcomm STATIC ${OBDCOMM_SRCS})

=== src/obdinfo/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)


FILE(GLOB OBDINFO_SRCS
	*.c *.h
)

ADD_LIBRARY(ckobdinfo STATIC ${OBDINFO_SRCS})

=== debian/changelog ===
obdgpslogger (0.16-1.3build1) bionic; urgency=medium

  * No-change rebuild against libgps23

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Nov 2017 19:04:59 +0000

obdgpslogger (0.16-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Updated standards version to 3.9.8
    - Change VCS fields to use secure URI
    - Converted copyright to DEP5
  * Updated compat level to 9
  * Enabled parallel builds
  * Dropped versioned build-dep on cmake

 -- David William Richmond Jones <dwrj87@gmail.com>  Thu, 02 Jun 2016 14:52:19 +0100

obdgpslogger (0.16-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Adding patch from Derek LaHousse <dlahouss@mtu.edu>
    to make obdgpslogger work with gpsd api v3.
    Closes: #648495

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 Jun 2012 08:43:54 +0200

obdgpslogger (0.16-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * src/gui/convertwindow.fl: drop empty obdconvertwindow::~obdconvertwindow
    to avoid build errors with fluid 1.3.x, which omits its definition
    altogether per http://www.fltk.org/str.php?L2259.  (Closes: #633474.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 16 Jul 2011 21:42:08 -0400

obdgpslogger (0.16-1) unstable; urgency=low

  * New upstream version

 -- Gary Briggs <chunky@icculus.org>  Thu, 26 May 2011 11:58:32 -0700

obdgpslogger (0.15-1) unstable; urgency=low

  * Initial Debian release (Closes: #580176)

 -- Gary Briggs <chunky@icculus.org>  Sun, 15 Aug 2010 03:09:10 -0700

=== debian/control ===
Source: obdgpslogger
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gary Briggs <chunky@icculus.org>
Build-Depends: cmake,
               debhelper (>= 9),
               fluid,
               libdbus-1-dev,
               libfltk1.1-dev,
               libgps-dev,
               libsqlite3-dev
Standards-Version: 3.9.8
Homepage: https://icculus.org/obdgpslogger
Vcs-Browser: https://svn.icculus.org/obdgpslogger
Vcs-Svn: svn://svn.icculus.org/obdgpslogger/trunk

Package: obdgpslogger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gpsd
Description: suite of tools to log OBDII and GPS data
 OBDII is a standard for getting diagnostic information from your car.
 The main tool, obdgpslogger, is a command-line tool to log that data,
 with your gps position, to a sqlite database. Provided alongside are
 various tools used to convert logs to formats such as CSV or Google
 Earth KML.
 Also contained in the package is an OBDII and ELM327 simulator, obdsim,
 that uses plugins to generate data.

=== debian/watch ===
version=3
http://icculus.org/obdgpslogger/downloads/obdgpslogger-(.+).tar.gz
